<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{0,125,800,493}</property>
    <property name="Name">[CB_FECH.scr]</property>
    <property name="Caption">[Aberturas/Fechamentos Cx Bicos]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Verdana" width="0" height="-13" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Private]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.F.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="FromStyle">[Center]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">14215660</property>
    <property name="Icon">[]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.T.</property>
    <property name="Minimizebox">.T.</property>
    <property name="Maximizebox">.T.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onDlgInit">
    <![CDATA[parameters oDlg
//skel VARIAVEL w_colsep = chr(179)
//skel VARIAVEL w_headsep = chr(196)
oContextMenu:=Hwg_ContextMenu()
hwg_Btn(oToolbar,5,5,54,54)
hwg_TbMt(oToolbar,'32;x();Barra-Fatura_Dif ;Barra - Fatura_Dif;;')
hwg_TbMt(oToolbar,'13;doget(D_ob);Enter-Edita ;Enter - Edita;;')
d_ob:lEditable = .t.
hwg_TbMt(oToolbar,'0;;;espaco;espaco;')
hwg_TbMt(oToolbar,'27;hwg_oDlgKey(oDlg, 27, nBrwAtivo);Saida;Saida;smExit4_32x32.bmp;')
SetDlgKey(oDlg,8,26,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"UP"))})
SetDlgKey(oDlg,8,28,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"DOWN"))})
Hwg_EndMenu()]]>
  </method>
  <method name="onPaint">
    <![CDATA[Parameters oCtrl,hDC
oCtrl:bpaint:=NIL
D_oB:setFocus()]]>
  </method>
  <part class="panel">
    <style>
      <property name="Geometry">{0,0,800,63}</property>
      <property name="Name">[oToolbar]</property>
      <property name="Anchor">11</property>
    </style>
  </part>
  <part class="status">
    <style>
      <property name="Geometry">{0,463,800,30}</property>
      <property name="Name">[oDlgStatusBar]</property>
      <property name="aParts">{640,160,0}</property>
    </style>
  </part>
  <part class="browse">
    <style>
      <property name="Geometry">{5,63,790,327}</property>
      <property name="Name">[d_ob]</property>
      <property name="ColumnsCount">3</property>
      <property name="TabIndex">4</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[nBrwAtivo:=1]]>
    </method>
    <method name="onInit">
      <![CDATA[D_oB:bColorSel:= RGB(3,23,133)
D_oB:tColorSel:= RGB(255,255,255)
D_oB:bKeyDown := {|self, wParam| (aBrowses[nBrwAtivo,2])->(hwg_oDlgKey(self, wparam,1)) , .T. }
// hwg_TbFi(D_oB, 'Final_Confirm;NUM_FINCNF;N;999999999999.999; 15;;')
// hwg_TbFi(D_oB, 'Final_Previst;NUM_FIN;N;999999999999.999; 15;;')
// hwg_TbFi(D_oB, 'Dif_A_Fat;Transform(NUM_FINCNF-NUM_FIN ,"@e 999,999.99");C;; 15;;')
hwg_TbFi(D_oB, 'Bico;CODBICO;N;9999;  4;N;')
hwg_TbFi(D_oB, 'Afericoes;AFERICOES;N;99999.999; 9;;')
hwg_TbFi(D_oB, 'DtHora_Aber;left(dtoc(DATAOPEN),5)+" "+left(HORAOPEN,5);C;; 11;N;')
hwg_TbFi(D_oB, 'FechCx;SI_NUMFECH;N;999999;  6;N;')
hwg_TbFi(D_oB, 'DtHora_Fech;left(dtoc(DATAFECH),5)+" "+left(HORAFECH,5);C;; 11;N;')
hwg_TbFi(D_oB, 'Num_Inicial;NUM_INICNF;N;999999999999.999; 15;N;')

// oCol1:TYPE = 'N'
// oCol1:block := FieldBlock('num_fincnf')
oCol1:cargo :={.t.,,'num_fincnf','N','999999999999.999'}
oCol3:bColorBlock := {|| IF(NUM_FINCNF-NUM_FIN<>0, {x_BLACK, x_YELLOW, x_WHITE, x_DARKBLUE }, {0, VColor("FFFFFF"), VColor( "FFFFFF" ), VColor( "808080" ) } )}                 
D_oB:Alias := alias()
D_oB:bOther:={|o,m,wp,lp| MessagesBrowse(o,m,wp,lp)}
D_oB:cargo:={.T.,.T.,"CB_BICOD",.F.,.T.,{||.T.} }
AADD(aBrowses,{D_oB,D_oB:Alias,{||.f.},{|| .T.},})]]>
    </method>
    <part class="column">
      <style>
        <property name="Geometry">{17,64,254,21}</property>
        <property name="Name">[oCol1]</property>
        <property name="FieldExpr">[FieldBlock(&quot;num_fincnf&quot;)]</property>
        <property name="Heading">[Encerrante;Confirmado]</property>
        <property name="Length">15</property>
        <property name="Picture">[999999999999.999]</property>
        <property name="JustifyLine">[2-Right]</property>
        <property name="Editable">.T.</property>
      </style>
    </part>
    <part class="column">
      <style>
        <property name="Geometry">{271,64,254,21}</property>
        <property name="Name">[oCol2]</property>
        <property name="FieldName">[num_fin]</property>
        <property name="Heading">[Encerrante;Previsto]</property>
        <property name="JustifyLine">[2-Right]</property>
      </style>
    </part>
    <part class="column">
      <style>
        <property name="Geometry">{526,64,254,21}</property>
        <property name="Name">[oCol3]</property>
        <property name="FieldExpr">[NUM_FINCNF-NUM_FIN]</property>
        <property name="Heading">[Diferenca;a Faturar]</property>
        <property name="JustifyLine">[2-Right]</property>
      </style>
    </part>
  </part>
  <part class="group">
    <style>
      <property name="Geometry">{5,385,392,48}</property>
      <property name="Name">[oDbNavigator]</property>
      <property name="TabIndex">14</property>
    </style>
    <part class="buttonex">
      <style>
        <property name="Geometry">{8,399,32,32}</property>
        <property name="Name">[oDbNavBtn1]</property>
        <property name="Caption">[]</property>
        <property name="Bitmap">[icon\smFirst.bmp]</property>
        <property name="TabIndex">25</property>
      </style>
      <method name="onClick">
        <![CDATA[aBrowses[nBrwAtivo,1]:top()]]>
      </method>
    </part>
    <part class="buttonex">
      <style>
        <property name="Geometry">{42,399,32,32}</property>
        <property name="Name">[oDbNavBtn3]</property>
        <property name="Caption">[]</property>
        <property name="Bitmap">[icon\smPrev.bmp]</property>
        <property name="TabIndex">26</property>
      </style>
      <method name="onClick">
        <![CDATA[aBrowses[nBrwAtivo,1]:pageUp()]]>
      </method>
    </part>
    <part class="buttonex">
      <style>
        <property name="Geometry">{319,399,32,32}</property>
        <property name="Name">[oDbNavBtn4]</property>
        <property name="Caption">[]</property>
        <property name="Bitmap">[icon\smNext.bmp]</property>
        <property name="TabIndex">27</property>
      </style>
      <method name="onClick">
        <![CDATA[aBrowses[nBrwAtivo,1]:pageDown()]]>
      </method>
    </part>
    <part class="buttonex">
      <style>
        <property name="Geometry">{353,399,32,32}</property>
        <property name="Name">[oDbNavBtn4]</property>
        <property name="Caption">[]</property>
        <property name="Bitmap">[icon\smLast.bmp]</property>
        <property name="TabIndex">28</property>
      </style>
      <method name="onClick">
        <![CDATA[aBrowses[nBrwAtivo,1]:bottom()]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{76,399,238,32}</property>
        <property name="Name">[oGetDbNav]</property>
        <property name="varName">[vEdit1]</property>
        <property name="ToolTip">[Pesquisa]</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">29</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[PsqIncremental("SAIR")]]>
      </method>
      <method name="onGetFocus">
        <![CDATA[PsqIncremental("INIT")]]>
      </method>
      <method name="onKeyDown">
        <![CDATA[PARAMETERS oGet,nKey,nShiftAltCtrl 
PsqIncremental("CHAR",nKey)]]>
      </method>
    </part>
  </part>
</part>
